<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        $sql = <<<'SQL'
            CREATE TABLE sticker_structure_details (
                id					               	BIGINT GENERATED always AS IDENTITY PRIMARY KEY,
                sticker_id                          TEXT,
                sticker_width                       TEXT,
                sticker_height                      TEXT,
                sticker_lmargin                     TEXT,
                sticker_rmargin                     TEXT,
                sticker_tmargin                     TEXT,
                sticker_bmargin                     TEXT,

                created_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                updated_at							TIMESTAMP NOT NULL DEFAULT NOW(),
                created_by							TEXT DEFAULT NULL,
                updated_by							TEXT DEFAULT NULL,
                deleted_at			                TIMESTAMP
            );
        SQL;
        DB::statement($sql);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('sticker_structure_details');
    }
};
